/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 01/05/2015 : SCA : V2.1
 * ----------------------------------------
 */
package fr.tlse.irap.vplot;

import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class DateRangeWrapper {

	private List<DateRange> dateRanges;

	public DateRangeWrapper() {
		dateRanges = new ArrayList<DateRange>();
	}

	public DateRangeWrapper(List<DateRange> dateRanges) {
		this.dateRanges = dateRanges;
	}

	@XmlElement
	public List<DateRange> getDateRanges() {
		return dateRanges;
	}

	public void setSolarSpeeds(List<DateRange> dateRanges) {
		this.dateRanges = dateRanges;
	}

}
